## dyndns 2010.0301+gitdd160bd

=== Makefile ===
#!/usr/bin/make -f
#
#   Copyright information
#
#	Copyright (C) 1999-2010 Jari Aalto
#
#   License
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program. If not, see <http://www.gnu.org/licenses/>.

ifneq (,)
This makefile requires GNU Make.
endif

PACKAGE		= dyndns
PACKAGE_DOC	= dyndns

DESTDIR		=
prefix		= /usr
exec_prefix	= $(prefix)
man_prefix	= $(prefix)/share
mandir		= $(man_prefix)/man
bindir		= $(exec_prefix)/bin
sharedir	= $(prefix)/share

BINDIR		= $(DESTDIR)$(bindir)
DOCDIR		= $(DESTDIR)$(sharedir)/doc/$(PACKAGE_DOC)
EXAMPLESDIR	= $(DOCDIR)/examples
LOCALEDIR	= $(DESTDIR)$(sharedir)/locale
SHAREDIR	= $(DESTDIR)$(sharedir)/$(PACKAGE)
LIBDIR		= $(DESTDIR)$(prefix)/lib/$(PACKAGE)
SBINDIR		= $(DESTDIR)$(exec_prefix)/sbin
ETCDIR		= $(DESTDIR)/etc/$(PACKAGE)

# 1 = regular, 5 = conf, 6 = games, 8 = daemons
MANDIR		= $(DESTDIR)$(mandir)
MANDIR1		= $(MANDIR)/man1
MANDIR5		= $(MANDIR)/man5
MANDIR6		= $(MANDIR)/man6
MANDIR8		= $(MANDIR)/man8

TAR		= tar
TAR_OPT_NO	= --exclude='.build'	\
		  --exclude='.sinst'	\
		  --exclude='.inst'	\
		  --exclude='tmp'	\
		  --exclude='*.bak'	\
		  --exclude='*[~\#]'	\
		  --exclude='.\#*'	\
		  --exclude='CVS'	\
		  --exclude='.svn'	\
		  --exclude='.git'	\
		  --exclude='.bzr'	\
		  --exclude='*.tar*'	\
		  --exclude='*.tgz'	\
		  --exclude='Makefile'

INSTALL		= /usr/bin/install
INSTALL_BIN	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_SUID	= $(INSTALL) -m 4755

DIST_DIR	= ../build-area
DATE		= `date +"%Y.%m%d"`
VERSION		= $(DATE)
RELEASE		= $(PACKAGE)-$(VERSION)

BIN		= $(PACKAGE)
PL_SCRIPT	= bin/$(BIN).pl

INSTALL_OBJS_BIN   = $(PL_SCRIPT)
INSTALL_OBJS_DOC   = README
INSTALL_OBJS_EXAMPLES = examples/*.conf
INSTALL_OBJS_MAN   = bin/*.1

all:
	@echo "Nothing to compile."
	@echo "Try 'make help' or 'make -n DESTDIR= prefix=/usr/local install'"

# Rule: help - display Makefile rules
help:
	grep "^# Rule:" Makefile | sort

# Rule: clean - remove temporary files
clean:
	# clean
	-rm -f *[#~] *.\#* \
	*.x~~ pod*.tmp

	rm -rf tmp

distclean: clean

realclean: clean

dist-git:
	rm -f $(DIST_DIR)/$(RELEASE)*

	git archive --format=tar --prefix=$(RELEASE)/ master | \
	gzip --best > $(DIST_DIR)/$(RELEASE).tar.gz

	chmod 644 $(DIST_DIR)/$(RELEASE).tar.gz

	tar -tvf $(DIST_DIR)/$(RELEASE).tar.gz | sort -k 5
	ls -la $(DIST_DIR)/$(RELEASE).tar.gz

# The "gt" is maintainer's program frontend to Git
# Rule: dist-snap - [maintainer] release snapshot from Git repository
dist-snap:
	echo gt tar -q -z -p $(PACKAGE) -c -D master

# Rule: dist - [maintainer] release from Git repository
dist: dist-git

dist-ls:
	@ls -1tr $(DIST_DIR)/$(PACKAGE)*

# Rule: dist - [maintainer] list of release files
ls: dist-ls

bin/$(PACKAGE).1: $(PL_SCRIPT)
	$(PERL) $< --help-man > $@
	@-rm -f *.x~~ pod*.tmp

doc/manual/index.html: $(PL_SCRIPT)
	$(PERL) $< --help-html > $@
	@-rm -f *.x~~ pod*.tmp

doc/manual/index.txt: $(PL_SCRIPT)
	$(PERL) $< --help > $@
	@-rm -f *.x~~ pod*.tmp

doc/conversion/index.html: doc/conversion/index.txt
	perl -S t2html.pl --Auto-detect --Out --print-url $<

# Rule: man - Generate or update manual page
man: bin/$(PACKAGE).1

html: doc/manual/index.html

txt: doc/manual/index.txt

# Rule: doc - Generate or update all documentation
doc: man html txt

# Rule: perl-test - Check program syntax
perl-test:
	# perl-test - Check syntax
	perl -cw $(PL_SCRIPT)
	podchecker $(PL_SCRIPT)

# Rule: test - Run tests
test: perl-test

install-doc:
	# install-doc - Install documentation
	$(INSTALL_BIN) -d $(DOCDIR)

	[ ! "$(INSTALL_OBJS_DOC)" ] || \
		$(INSTALL_DATA) $(INSTALL_OBJS_DOC) $(DOCDIR)

	$(TAR) -C doc $(TAR_OPT_NO) --create --file=- . | \
	$(TAR) -C $(DOCDIR) --extract --file=-

install-examples:
	# install-examples - Install example configuration files
	$(INSTALL_BIN) -d $(EXAMPLESDIR)
	$(INSTALL_DATA) $(INSTALL_OBJS_EXAMPLES) $(EXAMPLESDIR)

install-man: man
	# install-man - Install manual pages
	$(INSTALL_BIN) -d $(MANDIR1)
	$(INSTALL_DATA) $(INSTALL_OBJS_MAN) $(MANDIR1)

install-bin:
	# install-bin - Install programs
	$(INSTALL_BIN) -d $(BINDIR)
	for f in $(INSTALL_OBJS_BIN); \
	do \
		dest=$$(basename $$f | sed -e 's/\.pl$$//' -e 's/\.py$$//' ); \
		$(INSTALL_BIN) $$f $(BINDIR)/$$dest; \
	done

# Rule: install - Standard install
install: install-bin install-man install-doc install-examples

# Rule: install-test - for Maintainer only
install-test:
	rm -rf tmp
	make DESTDIR=`pwd`/tmp prefix=/usr install
	find tmp | sort

.PHONY: clean distclean realclean
.PHONY: install install-bin install-man
.PHONY: all man doc test install-test perl-test
.PHONY: dist dist-git dist-ls ls

# End of file

=== debian/changelog ===
dyndns (2010.0301+gitdd160bd-2) unstable; urgency=low

  * bin/dyndns.pl
    - Patch changes from upstream release2010.1011+git8070c97
      + Set --file-default as default (Closes: #593255).
      + Fix IP detection in pt_BR locale (Closes: #593253).
  * debian/control
    - (Standards-Version): Update to 3.9.1.
  * Makefile
    - Patch changes from upstream release2010.1011+git8070c97
      + Fix manual page generation.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 22 Oct 2010 09:14:02 +0300

dyndns (2010.0301+gitdd160bd-1) unstable; urgency=low

  * Initial release (Closes: #571012).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 02 Mar 2010 17:06:25 +0200

=== debian/control ===
Source: dyndns
Section: web
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7.1)
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/dyndns.git
Vcs-Git: git://git.debian.org/git/collab-maint/dyndns.git
Homepage: http://freshmeat.net/projects/perl-dyndns

Package: dyndns
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, net-tools, libwww-perl, libsys-syslog-perl
Description: dynamic DNS (DDNS) update client implemented in Perl
 Map dynamic IP address into your.hostname.example.org. A
 cross-platform solution for DHCP ISP-connected users to obtain
 permanent DNS, MX, and Web hosting service from a DDNS provider (e.g.
 dyndns.org). Works anywhere where Perl is installed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = dyndns
DOCDIR  = debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc

install:
	# target: install
	dh_testdir
	dh_prep
	dh_install
	$(MAKE) prefix=/usr \
		DESTDIR=debian/$(PACKAGE) \
		INSTALL_OBJS_DOC="" \
		DOCDIR=$(DOCDIR) \
		install

	mv $(DOCDIR)/examples $(DOCDIR)/..

	# Nothing but manual pages, remove
	rm -rf $(DOCDIR)

binary-indep: install
	# target: binary-indep -- Build architecture independent files
	dh_testdir
	dh_testroot
	dh_install
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_perl
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

%:
	dh  $@

.PHONY: install
.PHONY: binary binary-indep

# End of file

## dyndns 2011.0928

=== Makefile ===
--- 
+++ 
@@ -76,6 +76,7 @@
 VERSION		= $(DATE)
 RELEASE		= $(PACKAGE)-$(VERSION)
 
+PERL		= perl
 BIN		= $(PACKAGE)
 PL_SCRIPT	= bin/$(BIN).pl
 
@@ -104,7 +105,8 @@
 
 realclean: clean
 
-dist-git:
+# Rule: dist-git - [maintainer] release from Git repository
+dist-git: test
 	rm -f $(DIST_DIR)/$(RELEASE)*
 
 	git archive --format=tar --prefix=$(RELEASE)/ master | \
@@ -117,16 +119,17 @@
 
 # The "gt" is maintainer's program frontend to Git
 # Rule: dist-snap - [maintainer] release snapshot from Git repository
-dist-snap:
-	echo gt tar -q -z -p $(PACKAGE) -c -D master
-
-# Rule: dist - [maintainer] release from Git repository
+dist-snap: test
+	@echo gt tar -q -z -p $(PACKAGE) -c -D master
+
+# Rule: dist - alias for dist-git
 dist: dist-git
 
+# Rule: dist-ls - [maintainer] list of release files
 dist-ls:
 	@ls -1tr $(DIST_DIR)/$(PACKAGE)*
 
-# Rule: dist - [maintainer] list of release files
+# Rule: ls - alias for dist-ls
 ls: dist-ls
 
 bin/$(PACKAGE).1: $(PL_SCRIPT)

=== doc/Makefile ===
#
#   Copyright information
#
#	Copyright (C) 2003-2009 Jari Aalto
#
#   License
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation; either version 2 of the
#	License, or (at your option) any later version
#
#	This program is distributed in the hope that it will be useful, but
#	WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#	General Public License for more details at
#	Visit <http://www.gnu.org/copyleft/gpl.html>.
#
#   Description
#
#	 Rules for maintenance

.SUFFIXES:
.SUFFIXES: .pl .1 .html .txt

#   Pod generates .x~~ extra files
#
#   $<	  = name of the input (full)
#   $@	  = name, but only basename part, without suffix
#   $(*D) = macro; Give only directory part
#   $(*F) = macro; Give only file part

PL = ../bin/dyndns.pl

../bin/dyndns.1: $(PL)
	perl $? --Help-man > $@

manual/index.html: $(PL)
	perl $? --Help-html > $@
	rm -f *.tmp

manual/index.txt: $(PL)
	pod2text $? > $@

index.txt: index.html
	lynx -dump $? > $@

# Rule: man: generate manual page
man: ../bin/dyndns.1

# Rule: doc: generate documentation
doc: index.txt manual/index.html manual/index.txt

# Rule: www: copy web pages to ../../<project>-www
www: doc
	name=$$(basename $$(cd .. && pwd)); \
	to=../../$$name-www; \
	echo "Copying to $$to"; \
	find . -type f -name "*.html" | \
	rsync $${test:+"--dry-run"} \
	  --files-from=- \
	  --update \
	  --progress \
	  --verbose \
	  -r \
	  . \
	  $$to/

# End of file

=== debian/changelog ===
dyndns (2011.0928-1) unstable; urgency=low

  * New upstream release (FTBFS; Closes: #643103).
  * debian/control
    - (Standards-Version): Update to 3.9.2.
  * debian/copyright
    - Update to DEP 5.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 27 Sep 2011 18:19:18 +0300

## dyndns 2012.0112

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 1999-2010 Jari Aalto
+#	Copyright (C) 1999-2012 Jari Aalto
 #
 #   License
 #
@@ -24,7 +24,7 @@
 endif
 
 PACKAGE		= dyndns
-PACKAGE_DOC	= dyndns
+PACKAGE_DOC	= $(PACKAGE)
 
 DESTDIR		=
 prefix		= /usr
@@ -68,6 +68,7 @@
 
 INSTALL		= /usr/bin/install
 INSTALL_BIN	= $(INSTALL) -m 755
+INSTALL_DIR 	= $(INSTALL_BIN) -d
 INSTALL_DATA	= $(INSTALL) -m 644
 INSTALL_SUID	= $(INSTALL) -m 4755
 
@@ -133,14 +134,17 @@
 ls: dist-ls
 
 bin/$(PACKAGE).1: $(PL_SCRIPT)
+	# Make doc: manual page
 	$(PERL) $< --help-man > $@
 	@-rm -f *.x~~ pod*.tmp
 
 doc/manual/index.html: $(PL_SCRIPT)
+	# Make doc: HTML
 	$(PERL) $< --help-html > $@
 	@-rm -f *.x~~ pod*.tmp
 
 doc/manual/index.txt: $(PL_SCRIPT)
+	# Make doc: txt
 	$(PERL) $< --help > $@
 	@-rm -f *.x~~ pod*.tmp
 
@@ -160,15 +164,15 @@
 # Rule: perl-test - Check program syntax
 perl-test:
 	# perl-test - Check syntax
-	perl -cw $(PL_SCRIPT)
+	$(PERL) -cw $(PL_SCRIPT)
 	podchecker $(PL_SCRIPT)
 
 # Rule: test - Run tests
 test: perl-test
 
-install-doc:
+install-doc: doc
 	# install-doc - Install documentation
-	$(INSTALL_BIN) -d $(DOCDIR)
+	$(INSTALL_DIR) $(DOCDIR)
 
 	[ ! "$(INSTALL_OBJS_DOC)" ] || \
 		$(INSTALL_DATA) $(INSTALL_OBJS_DOC) $(DOCDIR)
@@ -178,17 +182,17 @@
 
 install-examples:
 	# install-examples - Install example configuration files
-	$(INSTALL_BIN) -d $(EXAMPLESDIR)
+	$(INSTALL_DIR) $(EXAMPLESDIR)
 	$(INSTALL_DATA) $(INSTALL_OBJS_EXAMPLES) $(EXAMPLESDIR)
 
 install-man: man
 	# install-man - Install manual pages
-	$(INSTALL_BIN) -d $(MANDIR1)
+	$(INSTALL_DIR) $(MANDIR1)
 	$(INSTALL_DATA) $(INSTALL_OBJS_MAN) $(MANDIR1)
 
 install-bin:
 	# install-bin - Install programs
-	$(INSTALL_BIN) -d $(BINDIR)
+	$(INSTALL_DIR) $(BINDIR)
 	for f in $(INSTALL_OBJS_BIN); \
 	do \
 		dest=$$(basename $$f | sed -e 's/\.pl$$//' -e 's/\.py$$//' ); \

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2003-2009 Jari Aalto
+#	Copyright (C) 2003-2012 Jari Aalto
 #
 #   License
 #

=== debian/changelog ===
dyndns (2012.0112-1) unstable; urgency=low

  * New upstream release.
    - Add German ipconfig(1) support (Closes: #647459).

 -- Jari Aalto <jari.aalto@cante.net>  Thu, 12 Jan 2012 20:49:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 7.1)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8)
+Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=collab-maint/dyndns.git
 Vcs-Git: git://git.debian.org/git/collab-maint/dyndns.git
 Homepage: http://freshmeat.net/projects/perl-dyndns

=== debian/watch ===
version=3
# https://savannah.nongnu.org/files/?group=perl-webget
# http://download.savannah.gnu.org/releases/perl-webget/
http://mirrors.zerg.biz/nongnu/perl-dyndns/ p.*-([\d.]+).*\.tar\.gz

## dyndns 2014.0708

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 1999-2012 Jari Aalto
+#	Copyright (C) 1999-2014 Jari Aalto
 #
 #   License
 #

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2003-2012 Jari Aalto
+#	Copyright (C) 2003-2014 Jari Aalto
 #
 #   License
 #

=== debian/changelog ===
dyndns (2014.0708-1) unstable; urgency=low

  * New upstream release
    - Fix deprecated use of defined(). (Closes: #754133). Patch thanks
      to Atle Solbakken <atle@goliathdns.no>
  * debian/control
    - (Standards-Version): Update to 3.9.5.
    - (Vcs-*): Update to canonical location.

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 08 Jul 2014 19:00:12 +0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Jari Aalto <jari.aalto@cante.net>
 Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.2
-Vcs-Browser: http://git.debian.org/?p=collab-maint/dyndns.git
-Vcs-Git: git://git.debian.org/git/collab-maint/dyndns.git
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dyndns.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/dyndns.git
 Homepage: http://freshmeat.net/projects/perl-dyndns
 
 Package: dyndns

## dyndns 2016.1021

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 1999-2014 Jari Aalto
+#	Copyright (C) 1999-2016 Jari Aalto
 #
 #   License
 #

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 #   Copyright information
 #
-#	Copyright (C) 2003-2014 Jari Aalto
+#	Copyright (C) 2003-2016 Jari Aalto
 #
 #   License
 #

=== debian/changelog ===
dyndns (2016.1021-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920065)
  * Added tests (CI).
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control: bumped Standards-Version to 4.4.0.
  * debian/copyright: updated Format field and all data.
  * debian/watch: bumped version to 4.

 -- Pedro Vaz de Mello de Medeiros <pedro.medeiros@gmail.com>  Fri, 19 Jul 2019 11:36:53 -0300

dyndns (2016.1021-2) unstable; urgency=medium

  * debian/watch
    - Fix "There is a temporary or permanent problem with the debian/watch
      file included in the package" by correcting the URL.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 02 Nov 2016 20:10:41 +0200

dyndns (2016.1021-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat
    - Update to 9.
  * debian/control
    - (Build-Depends): debhelper 9.
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - (Source): Update URL.

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 21 Oct 2016 16:09:31 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: dyndns
 Section: web
 Priority: optional
-Maintainer: Jari Aalto <jari.aalto@cante.net>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/dyndns.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/dyndns.git
-Homepage: http://freshmeat.net/projects/perl-dyndns
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/dyndns.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/dyndns.git
+Homepage: https://github.com/jaalto/project--perl-dyndns
 
 Package: dyndns
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = dyndns
DOCDIR  = debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/doc

override_dh_auto_install:
	$(MAKE) prefix=/usr \
		DESTDIR=debian/$(PACKAGE) \
		INSTALL_OBJS_DOC="" \
		DOCDIR=$(DOCDIR) \
		PERL=perl \
		install

	mv $(DOCDIR)/examples $(DOCDIR)/..

	# Nothing but manual pages, remove
	rm -rf $(DOCDIR)

%:
	dh  $@

=== debian/tests/control ===
Test-Command: dyndns --help

=== debian/watch ===
version=4
https://github.com/jaalto/project--perl-dyndns/tags .*/(.*)\.tar\.gz
